summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorDarshit Shah2016-02-03 22:01:53 +0100
committerDarshit Shah2016-02-03 22:01:53 +0100
commit17137864fe67f7e204d133894dcc43d5ce8939c2 (patch)
tree69519e05c29e534c6d29f750aa72d2860df7df4a /PKGBUILD
downloadaur-17137864fe67f7e204d133894dcc43d5ce8939c2.tar.gz
Initial commit for Wget2
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..aa36db3c334
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Darshit Shah <darnir@gmail.com>
+
+_gitname=wget
+pkgname=${_gitname}2-git
+pkgver=0.0.r626.gf17bcd4
+pkgrel=1
+pkgdesc="Updated version of popular Wget tool"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('libutil-linux' 'gnutls' 'libidn' 'libpsl' 'gpgme')
+optdepends=("ca-certificates: HTTPS Downloads")
+makedepends=('git' 'rsync')
+provides=('wget2')
+conflicts=('wget2')
+source=("git://git.savannah.gnu.org/${_gitname}.git#branch=wget2"
+ "git://git.savannah.gnu.org/gnulib.git")
+md5sums=('SKIP' 'SKIP')
+
+build() {
+ cd $_gitname
+ git submodule init
+ git config submodule.gnulib.url "$srcdir/gnulib"
+ ./autogen.sh
+ ./configure --prefix=/usr --sysconfdir=/etc
+}
+
+package() {
+ cd $_gitname
+ make DESTDIR="$pkgdir/" install
+}
+
+pkgver() {
+ cd $_gitname
+ #Use the tag from the last commit.
+ # XXX: Hack for a decent version number till the first version is tagged
+ git tag v0.0 e0452bc || true
+ git describe --always --tags --long | sed 's/^v//; s/-/.r/; s/-/./g'
+}
+
+check() {
+ cd $_gitname
+ make check
+ make clean
+}
+
+# vim:set ts=2 sw=2 tw=0 et: